Subject: bug#78189: 31.0.50; require properties :key and :cert in auth search done from `network-stream-certificate'

From: Robert Pluim <[email-masked]>
Date: Tue, 06 May 2025 09:43:48 +0200

>>>>> On Mon, 5 May 2025 22:29:29 +0200, Jens Schmidt via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:

    Jens> Thanks, Ted and Robert for your review and comments!  And to Eli
    Jens> for keeping things going, as usual.

    Jens> On 2025-05-05  13:44, Robert Pluim wrote:
    >>>>>>> On Sun, 04 May 2025 16:15:01 -0400, Ted Zlatanov <[email-masked]> said:

    >> Jens, I think your copyright assignment is on file?

    Jens> Yes, it is.

    Ted> specific/interesting" in a generic way? Like
    Ted> :prefer '(:key :cert)
    Ted> which can also be one of these
    Ted> :prefer 'most-keys ;;; count of keys
    Ted> :prefer 'most-detail ;;; length of serialized entry?
    Ted> :prefer 'network-stream-keys ;;; knows to look for host, port, key, cert
    >> 
    >> Iʼm not seeing a use case for this. Just saying 'find an entry with
    >> :key and :cert' should be enough, and is easy to explain.

    Jens> I don't have the bandwidth to implement anything along Ted's idea,
    Jens> and I agree with Robert that keeping things simple here would be,
    Jens> um, simpler.

Eli, OK for master, I presume? (I donʼt think it would cause any
issues in emacs-30, but Iʼve been wrong before 😀)

Robert
--